%define name ruby-gtk
%define version 0.34
%define release %mkrel 5

Summary: Ruby extension library to use Gtk+
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.ruby-lang.org/gtk
Source0: http://www.ruby-lang.org/gtk/download/ruby-gtk-%{version}.tar.bz2
License: GPL
Group: Development/Ruby
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.6, gtk+ >= 1.2.8
BuildRequires: ruby-devel, gtk+-devel X11-devel imlib-devel gdk-pixbuf-devel

%description
Ruby extension library to use Gtk+.

%prep
%setup -q -n ruby-gtk-%{version}

for f in `find sample -name \*.rb`
do
	if head -n1 $f | grep '^#!' >/dev/null;
	then
		sed -i 's|/usr/local/bin|/usr/bin|' $f 
		chmod 0755 $f
	fi
done	

%build
ruby extconf.rb
CFLAGS=${RPM_OPT_FLAGS} make

%install
rm -rf %buildroot
DESTDIR=%buildroot make install 

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc BUGS NEWS README ToDo sample
%ruby_sitearchdir/*.so



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.34-5mdv2009.0
+ Revision: 242605
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.34-3mdv2008.0
+ Revision: 16854
- Use mkrel
- Use Development/Ruby group
- Use std macros


* Sun Jun 19 2005 Pascal Terjan <pterjan@mandriva.org> 0.34-2mdk
- fix install
- fix summary-ended-with-dot
- fix intepreter in samples
- have sample scripts executable
- fix lib64

* Sun Sep 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.34-1mdk
- new release

* Thu Aug 07 2003 Pixel <pixel@mandrakesoft.com> 0.31-2mdk
- rebuild for ruby 1.8.0

* Mon Jun 23 2003 Pixel <pixel@mandrakesoft.com> 0.31-1mdk
- new release

* Thu Jun 27 2002 Pixel <pixel@mandrakesoft.com> 0.28-1mdk
- new release

* Thu Sep 06 2001 Pixel <pixel@mandrakesoft.com> 0.25-2mdk
- rebuild

* Thu May 24 2001 Michal Rokos <m.rokos@sh.cvut.cz> 0.25-1mdk
- new version

* Sat Apr 21 2001 Michal Rokos <m.rokos@sh.cvut.cz> 0.24-1mdk
- official gnome-ruby-0.24
- added more examples

* Mon Feb 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.23-5mdk
- use snapshot, to work with Ruby 1.6
- experimental support for Gnome, GdkImlib, GdkPixbuf

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.23-4mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.23-3mdk
- BM + macros

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.23-2mdk
- new group + cleanup

* Mon Feb 14 2000 Pixel <pixel@mandrakesoft.com> 0.23-1mdk
- first release

